Bug 173499 - Review Request: lagan: Local, global, and multiple alignment of DNA sequences
Review Request: lagan: Local, global, and multiple alignment of DNA sequences
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://lagan.stanford.edu
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-17 12:17 EST by Christian Iseli
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-29 19:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Iseli 2005-11-17 12:17:45 EST
Another bioinformatics package.  GPL licensed.  Builds in mock.
$ rpmlint /var/lib/mock/fedora-4-i386-core/result/lagan-1.21-0.i386.rpm
W: lagan non-standard-dir-in-usr libexec

Not sure what this warning is about...

Please review.  Thanks :-)

Spec Name or Url: ftp://ftp.licr.org/pub/software/unix/lagan.spec
SRPM Name or Url: ftp://ftp.licr.org/pub/software/unix/lagan-1.21-0.src.rpm
Description:
LAGAN toolkit is a set of tools for local, global, and multiple alignment of
DNA sequences.  Please visit http://lagan.stanford.edu for publications
describing LAGAN and its components.

The 4 main parts of LAGAN are:

1. CHAOS local alignment tool
2. LAGAN pairwise global alignment tool
3. MLAGAN multiple global alignment tool.
4. Shuffle-LAGAN pairwise glocal alignment
Comment 1 Ville Skyttä 2005-11-17 12:56:56 EST
(In reply to comment #0)   
> $ rpmlint /var/lib/mock/fedora-4-i386-core/result/lagan-1.21-0.i386.rpm   
> W: lagan non-standard-dir-in-usr libexec   
>    
> Not sure what this warning is about...   
   
/usr/libexec is not standard as in "not FHS compliant".  This package would be  
far from alone in using it in FC/FE though, so not that much of a deal.    
Using %{_libdir}/lagan instead of it would be one possible fix if you  
like.  
Comment 2 Christian Iseli 2005-11-17 16:53:11 EST
(In reply to comment #1)

> /usr/libexec is not standard as in "not FHS compliant".

Ah, ok.

> This package would be  
> far from alone in using it in FC/FE though, so not that much of a deal.

Ok.

> Using %{_libdir}/lagan instead of it would be one possible fix if you  
> like.  

Yup, I'll probably do just that once the package is reviewed.

Thanks for the explanations.
Comment 3 John Mahowald 2006-01-29 11:21:31 EST
Minor: Build has a bunch of  warning: ignoring return value of x, declared with
attribute warn_unused_result

Your patch sets the lagan dir but leaves the error messages that $LAGAN_DIR was
not set, although you don't use the env variables.

Good:

- rpmlint checks return:
W: lagan non-standard-dir-in-usr libexec
not too significant as per comment 1

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
(can remove commented R and BR lines if desired)
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED
Comment 4 Christian Iseli 2006-01-29 19:42:07 EST
Thanks for the review.  I agree the code is pretty dirty and lots of warnings
remain.  I'll see what I can do.

I've replaced _libexecdir with _libdir and rpmlint is now quiet.

I've redone the patch to kill all LAGAN_DIR occurences and related error messages.

Imported and built, so I'm closing the ticket.

Note You need to log in before you can comment on or make changes to this bug.